Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.trolltech.qt.gui
Class QGraphicsItem.CacheMode

    java.lang.Object
      java.lang.Enum
          com.trolltech.qt.gui.QGraphicsItem.CacheMode

All Implemented Interfaces:
  QtEnumerator, java.io.Serializable, java.lang.Comparable

Enclosing class:
  QGraphicsItem

    public static final class QGraphicsItem.CacheMode

extends java.lang.Enum
implements QtEnumerator

This enum describes the different cache modes of `QMovie`.

See Also:
  Serialized Form

Field Summary
`static QGraphicsItem.CacheMode` | `DeviceCoordinateCache`
`static QGraphicsItem.CacheMode` | `ItemCoordinateCache`
`static QGraphicsItem.CacheMode` | `NoCache`

Method Summary
`static QGraphicsItem.CacheMode` | `resolve(int value)` Returns the CacheMode constant with the specified `int`.
`int` | `value()` This function should return an integer value for the enum values of the enumeration that implements this interface.
`static QGraphicsItem.CacheMode` | `valueOf(java.lang.String name)`
`static QGraphicsItem.CacheMode[]` | `values()`

Methods inherited from class java.lang.Enum
`clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

Methods inherited from class java.lang.Object
`getClass, notify, notifyAll, wait, wait, wait`

Field Detail

### NoCache

    public static final QGraphicsItem.CacheMode NoCache

### ItemCoordinateCache

    public static final QGraphicsItem.CacheMode ItemCoordinateCache

### DeviceCoordinateCache

    public static final QGraphicsItem.CacheMode DeviceCoordinateCache

Method Detail

### values

    public static QGraphicsItem.CacheMode[] values()

### valueOf

    public static QGraphicsItem.CacheMode valueOf(java.lang.String name)

### value

    public int value()

  This function should return an integer value for the enum values of the enumeration that implements this interface.

  Specified by:
    `value` in interface `QtEnumerator`

### resolve

    public static QGraphicsItem.CacheMode resolve(int value)

  Returns the CacheMode constant with the specified `int`.

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD